%global momorel 1
%global betaver 1
%global prever 1
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 daa9e2ac914c3a34eef3eb1339cade87

Summary: The KDE Cookbook
Name: krecipes
Version: 1.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPL
URL: http://krecipes.sourceforge.net/
Group: Applications/Productivity
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-beta%{betaver}.tar.gz %{md5sum_src0}
patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libacl-devel
BuildPreReq: mysql-devel
BuildPreReq: postgresql-devel
BuildPreReq: sqlite-devel
BuildPreReq: desktop-file-utils

%description
Krecipes is a program that lets you to manage your recipes, create
shopping lists, choose a recipe based on available ingredients and plan
your menu/diet in advance.

%prep
%setup -q -n %{name}-%{version}-beta%{betaver}

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/krecipes.png %{buildroot}%{_datadir}/pixmaps/krecipes.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category=Utility \
  --add-category=KDE \
  --add-category=Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/krecipes.desktop

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da es et pt sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/krecipes
%{_datadir}/applications/kde/krecipes.desktop
%{_datadir}/apps/krecipes
%{_datadir}/doc/HTML/*/krecipes
%{_datadir}/icons/*/*/*/krecipes.png
%{_datadir}/icons/*/*/*/krecipes_file.png
%{_datadir}/locale/*/LC_MESSAGES/krecipes.mo
%{_datadir}/mimelnk/application/x-krecipes-*.desktop
%{_datadir}/pixmaps/krecipes.png

%changelog
* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.1m)
- initial package for Momonga Linux
